Не обновляется FreeBSD со старой версии, ошибка «Cowardly»

Если быть точным, то написала мне система «The update metadata is correctly signed, but failed an integrity check. Cowardly refusing to proceed any further.» и напрочь отказалась обновляться.

В сети полно решений этой проблемы. И подождать патч рекомендуют, который выйдет через пару дней, несколько лет назад. И вызвать uname -a между попытками обновления. И обновить сначала безопасность, затем перезагрузиться. И что–то ещё — не помню. Но, всё, как вы догадываетесь, мимо.

А, надо сказать, обновлял–то я систему очень давно. Прям очень–очень давно. Ну, по перерыву между публикациями замтно, я думаю. :) На дворе сейчас релиз 12.2, а у меня стояла 9.1… И вот с неё я на 12.2 прыгнуть и решил. И недопрыгнул с вышеозначенным вердиктом.

Затем я решил пойти своим путём. Запустить обновление не до самой последней версии, а до предпоследней — 11.3. Результат тот же. Затем — до 10.4. Как вы догадываетесь, я был настроен узнать, как глубока эта кроличья нора. :) И внезапно плюхнулся на её дно — 10.4 подошла, обновление пошло!

В общем–то на этом всё. Потом уже с 10.4 я обновился до 12.2 и теперь могу ещё лет на десять забыть про обновления. Ну, пока снова не приспичет установить какую–то софтину из портов из–за чего они посыпятся… Но это уже другая история.

Комментарии

Комментировать